##
##  typedoc.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg          0.28.5
%define       V_typedoc       0.28.5
%define       V_typedoc_snap  20250526

#   package information
Name:         typedoc
Summary:      TypeScript API Documentation Generator
URL:          https://typedoc.org/
Vendor:       Sebastian Lenz
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      Apache
Version:      %{V_opkg}
Release:      20250526

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/typedoc/typedoc-%{V_typedoc}-%{V_typedoc_snap}.tar.xz
Source1:      typedoc.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    TypeDoc is a API documentation generator for TypeScript projects.

%track
    prog typedoc:release = {
        version   = %{V_typedoc}
        url       = https://github.com/TypeStrong/typedoc/releases
        regex     = tree/v(__VER__)
    }
    prog typedoc:snapshot = {
        version   = %{V_typedoc_snap}
        url       = http://download.openpkg.org/components/versioned/typedoc/
        regex     = typedoc-__VER__-(\d+)\.tar\.xz
    }

%prep
    %setup -q -c

%build
    #   %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/typedoc
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE typedoc.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/typedoc
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/typedoc/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

